/*
How to Use
Card Graph should use:
full graph page='container-styles container-fullwidth container-size-full'
drill down page='container-styles container-fullwidth container-size-half-bottom'

Card Summary should use:
full graph page='container-styles container-summary container-size-full'
drill down page='container-styles container-summary container-size-half-bottom'
*/

/* –––––––––––––––––––––––––––––––––––––––––––––––––– */
/* CUSTOM COLUMN WIDTH FOR PRIMARY CARDS */
/* col-sm-full = Used for the div that has the expandable section at the top */
/* col-sm-2half = Used for the LEFT Side bar on each and every charting page */
/* col-sm-9half = Used for the primary contents of the page that will hold the graph/data */
/* –––––––––––––––––––––––––––––––––––––––––––––––––– */
.col-sm-full {
    width: 100vw;
    padding: 0.5rem 1rem;
}
.col-sm-2half {
    width: var(--width-column-userInputs);
    max-width: var(--width-column-userInputs);
    /*padding: 0 0 0 1rem;*/
    /*padding: 0.5rem;*/
    /*width: 20.83333333%;*/
    /*padding: 0 0 0 1rem;*/
    /*padding: 0 1rem;*/
    /*padding: 0.5rem 1rem;*/
}
.col-sm-9half {
    width: var(--width-column-chartOutputs);
    max-width: var(--width-column-chartOutputs);
    /*width: calc(100vw - 375px - 2rem - 34px - 1rem - 35px);*/
    /*width: 79.16666667%;*/
    padding: 0 0 0 1rem;
    /*padding: 0 1rem;*/
    /*padding: 0.5rem 1rem;*/
}
/* Flex a column to stay within the defined area set by the */
.col-full-flex {
    width: var(--width-columns-userInputs-and-Ouputs);
    max-width: var(--width-columns-userInputs-and-Ouputs);
    display: flex;
    flex-direction: row;
    padding: 1rem 1rem;
    flex-wrap: nowrap;
}

/* General Hide */
.hide {
    display: none !important;
}
.collapse-horizontally {
    width: auto !important;
    min-width: unset !important;
    max-width: unset !important;
    /*width: 20px !important;*/
    /*min-width: 20px !important;*/
    /*max-width: 20px !important;*/
    overflow: hidden !important;
    padding-left: .5rem !important;
    padding-right: 0 !important;
    background-color: var(--bg_layer5_highlight) !important;
    /*box-shadow: none !important;*/
    border: none !important;
}

.col-home-sm {
    position: fixed;
    height: calc(100vh - 55px);
    max-height: calc(100vh - 55px);
    width: var(--width-homePageVerticalNav);
    left: 0;
    margin: 0;
    background-color: var(--navColor);
    padding: 1rem 1rem 1rem 0.5rem;
}

/*noinspection CssUnusedSymbol*/
.col-home-big {
    position: fixed;
    top: var(--height-navbarMaster);
    width: 100vw;
    bottom: 0;
    left: 0;
    right: 0;
    margin: 0;
    background-color: var(--bg_layer1);
    /*background-color: var(--pgColor);*/
    /*overflow-y: scroll;*/
    padding: 1rem;
    /*padding: 1rem 1.5rem 1.5rem 1.5rem;*/
}

/*–––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––– *!*/
/* Card Styling */
/*–––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––– *!*/
.container-styles {
    overflow-y: auto;
    overflow-x: hidden;
    background-color: var(--bg_layer5);
    border: 1px solid var(--border_color);
    box-shadow: var(--grx-box-shadow);
    border-radius: var(--grx-border-radius);
}
.container-fullwidth {
    padding: 0.5rem;
    width: 100%;
    display: flex !important;
    flex-direction: column !important;
    flex-grow: 0 !important;
    transform: translate(0px, 0px);
}
.container-summary {
    background-color: var(--bg_layer5) !important;
    margin-left: 5px;
    padding: 2px .5rem 1rem .5rem;
    width: var(--width-column-summaryTables);
    min-width: var(--width-column-summaryTables);
    max-width: var(--width-column-summaryTables);
}
.container-scroll-contained {
    height: calc(100vh - var(--height-navbarFull));
    max-height: calc(100vh - var(--height-navbarFull));
    overflow-y: auto;
    overflow-x: hidden;
    padding: 0 0 1rem 0;
    /*padding: 0.5rem;*/
    /*width: inherit;*/
    /*max-width: inherit;*/
    display: flex;
    flex-direction: row;
    /*flex-grow: 0;*/
    width: calc(var(--width-column-chartOutputs));
    max-width: calc(var(--width-column-chartOutputs));
}

/*.scroll-content-container {*/
/*    overflow: hidden;*/
/*    padding: 0.5rem;*/
/*    width: 100%;*/
/*    display: flex;*/
/*    flex-direction: column;*/
/*    flex-grow: 0;*/
/*    !*display: flex;*!*/
/*    !*flex-direction: column;*!*/
/*    !*flex-grow: 1;*!*/
/*    !*padding: 0.5rem;*!*/
/*    !*overflow-y: auto;*!*/
/*    !*overflow-x: hidden;*!*/
/*}*/
/*.scroll-content-container-summary {*/
/*    height: 100%;*/
/*    padding: 10px 15px 10px 10px;*/
/*}*/
/*–––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––– *!*/
/* Chart Page Full Column Card */
/*–––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––– *!*/
.container-size-full-homepage {
    /*height: calc(100vh - 35px - 25px - 1rem - 2rem);*/
    height: var(--height-contentFull);
    max-height: var(--height-contentMax);
    min-height: var(--height-contentMin) !important;
}
.container-size-half {
    height: var(--height-contentHalf);
    max-height: calc(var(--height-contentMaxHalf));
}
.container-size-full {
    /*height: calc(100vh - {navbar} - {chart-navbar} - {tabcardbody padding} - {arbitrarry extra padding};  */
    /*height: calc(100vh - 55px - 35px - 14px - 1rem);*/
    height: var(--height-contentChartFull);
    max-height: var(--height-contentMax);
    min-height: var(--height-contentMin) !important;
}


/*–––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––– *!*/
/* Drill Down Page */
/*–––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––– *!*/
.container-size-half-bottom {
    height: calc(var(--height-contentChartFull) - var(--height-drillInputs) - 10px - 11px);
    /*height: calc(100vh - 55px - 35px - 25px - 1rem - 2rem - 240px - 15px - 1.5rem);*/
    /*max-height: calc(100vh - 55px - 35px - 25px - 1rem - 2rem - 240px - 15px - 1.5rem);*/
    max-height: calc(var(--height-contentMax) - var(--height-drillInputs) - 10px - 11px);
    min-height: var(--height-contentMin) !important;
}
.container-drilldown-inputs {
    height: var(--height-drillInputs);
    min-height: var(--height-drillInputs);
}
/* Prevent over flow */
.container-contain-content {
    /*overflow: hidden;*/
    /*!*display: flex;*!*/
    /*!*flex-direction: column;*!*/
    /*!*flex-grow: 1;*!*/
}

/*–––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––– *!*/
/*!* dcc.Graph styling */
/*–––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––– *!*/

/* DASHBOARD - GRAPH CLASSNAME SMALL AUTO FIT GRAPHS -------------------------------------------- */
.widget-graph-container {
    display: flex;
    visibility: visible;
    flex-grow: 1;
    padding: 10px 2px;
    /*padding: 5px;*/
}
.widget-graph-container.hide {
    visibility: hidden;
}

/* SMALL Flex ------------------------------------------------------------ */
.plotly_graph_sm {
    display: flex;
    visibility: visible;
    flex-grow: 1;
    padding: 5px;
}
.plotly_graph_sm.hide {display: none;}

/* LARGE ------------------------------------------------------------  */
.plotly_graph_lg {
    width: 72vw !important;
    height: 74vh !important;
    font-size: 11px !important;
}
.plotly_graph_lg.hide {display: none;}

/*!* dcc.Graph styling of EMPTY DIV ------------------------------------------------------------  */
.plotly_graph_empty_lg {
    padding: 10px 2px;
    display: block;
}
.plotly_graph_empty_lg.hide {display: none;}

.widget-aggrid-container {
    width: 100%;
    visibility: visible;
    padding: 5px;
}

/*–––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––– *!*/
/* DASHBOARD- Widget Titles */
/*–––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––– *!*/
.widget-title-container {
    visibility: visible;
    padding: 2px 0 0 5px;
    width: 100%;
}
.widget-title-container.hide {
    visibility: hidden;
}

/*–––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––– *!*/
/* Summary Card Contents - The Divs Inside the Scroll area of the summary card */
/*–––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––– *!*/
/*noinspection CssUnusedSymbol*/
.widget-summary-col-collapse-button-container {
    padding: 7px 0;
    font-size: 15px;
    width: 100%;
    height: 25px;
    overflow: hidden;
    display: inline-flex;
    justify-content: flex-end;
}
.sub-container-summary {
    padding: 2px 0;
    display: flex;
    flex-direction: column;
    align-content: flex-end;
    overflow: hidden;
    visibility: visible;
}
/*.widget-summary-col-contents.hide {*/
/*    display: none !important;*/
/*}*/
/*!*noinspection CssUnusedSymbol*!*/
/*.widget-summary-col-collapse-button-container {*/
/*    font-size: 15px;*/
/*    width: 100%;*/
/*    height: 25px;*/
/*    overflow: hidden;*/
/*    display: inline-flex;*/
/*    justify-content: flex-end;*/
/*}*/
/*.widget-summary-col-contents {*/
/*    padding: 3px 2px;*/
/*    display: flex;*/
/*    flex-direction: column;*/
/*    align-content: flex-end;*/
/*    overflow: hidden;*/
/*    visibility: visible;*/
/*}*/
/*.widget-summary-col-contents.hide {*/
/*    display: none !important;*/
/*}*/